#ifndef _UPDROLLBACK_ERROR_H
#define _UPDROLLBACK_ERROR_H
#ifndef _STDINT_H
typedef unsigned char  uint8_t;
#endif // _STDINT_H

// Throw error codes 
const uint8_t UPD_NOFULLMASERPRESENT =	80; // Full Maser is not present on the system
const uint8_t UPD_NOCURRENTDIRECTORY = 81;	// Could not get current working directory
const uint8_t UPD_COMPIDOPENERROR = 82;		//Could not open compId.xml for writing
const uint8_t UPD_SSIBOPENERROR = 83;		//Could not open ssibinput.xml for writing
const uint8_t UPD_ADDFILEERROR = 84;		//AddFile Failed 
const uint8_t UPD_PKGERROR = 85;			//Could not create handle to package.xml or stat package.xml
const uint8_t UPD_PAYLOADERROR = 86;		//Could not create handle to payload or stat payload files
const uint8_t UPD_NOPAYLOAD = 87;			//No Files found in Payload Directory

#endif /* _UPDROLLBACK_ERROR_H */
