//-------------------------------------------------------------------------
//
//   DELL COMPUTER CORPORATION PROPRIETARY INFORMATION
//This software is supplied under the terms of a license agreement or
//nondisclosure agreement with Dell Computer Corporation and may not
//be copied or disclosed except in accordance with the terms of that
//agreement.
//
//  Copyright (c) 2011-2012 Dell Computer Corp. All Rights Reserved.
//
//Abstract/Purpose:
//
//Environment: 
//
//$Author:$ 
// 
//$Header:$  
// 
//$Date:$  6/24/2012 11:34:14 AM
// 
//$Name:$  Logger.h
// 
//$Revision:$ 
// 
//$Source:$  
// 
//Owner: Chandrasekhar G, Vinay Krishna
// 
//-------------------------------------------------------------------------

#ifndef __LOGGER_H
#define __LOGGER_H

#include <fstream>
#include <sstream>
#include <iomanip>
#include <time.h>

#define Log(filename , line , message ) CLogger::GetInstance()->log(filename, line,message)
class CLogger
{
//	 bool m_bDebugLogEnabled; 
	 std::string m_strLogFilePath;
	 std::ofstream m_ofstreamLogFile;
private: 	 
	 CLogger();
	 ~CLogger();
	static CLogger* m_ptrInstance;
	std::string getFileName(const std::string& strFilePathName);
public:
bool m_bDebugLogEnabled;
	static CLogger* GetInstance();
	bool Initialize(const std::string &LogFilePath);
	void log(char *logfilename, unsigned int line,const std::string & message);
};


#endif

